scala
class Double

[Source: none]

`abstract final` `class` Double
  `extends` AnyVal

  Class `Double` belongs to the value classes whose instances are not represented as objects by the underlying host system. All value classes inherit from class `AnyVal`.

  Values `MAX_DOUBLE` and `MIN_DOUBLE` are in defined in object scala.Math.

Method Summary
`def` | != (arg0 : Long) : Boolean
`def` | != (arg0 : Double) : Boolean
`def` | != (arg0 : Int) : Boolean
`def` | != (arg0 : Short) : Boolean
`def` | != (arg0 : Float) : Boolean
`def` | != (arg0 : Byte) : Boolean
`def` | != (arg0 : Char) : Boolean
`def` | % (arg0 : Int) : Double
`def` | % (arg0 : Short) : Double
`def` | % (arg0 : Byte) : Double
`def` | % (arg0 : Float) : Double
`def` | % (arg0 : Char) : Double
`def` | % (arg0 : Double) : Double
`def` | % (arg0 : Long) : Double
`def` | * (arg0 : Long) : Double
`def` | * (arg0 : Char) : Double
`def` | * (arg0 : Byte) : Double
`def` | * (arg0 : Float) : Double
`def` | * (arg0 : Short) : Double
`def` | * (arg0 : Double) : Double
`def` | * (arg0 : Int) : Double
`def` | + (arg0 : Char) : Double
`def` | + (arg0 : Byte) : Double
`def` | + (arg0 : Long) : Double
`def` | + (arg0 : Double) : Double
`def` | + (arg0 : Short) : Double
`def` | + (arg0 : Int) : Double
`def` | + (arg0 : Float) : Double
`def` | + (arg0 : String) : String
`def` | - (arg0 : Byte) : Double
`def` | - (arg0 : Float) : Double
`def` | - (arg0 : Char) : Double
`def` | - (arg0 : Int) : Double
`def` | - (arg0 : Long) : Double
`def` | - (arg0 : Short) : Double
`def` | - (arg0 : Double) : Double
`def` | / (arg0 : Byte) : Double
`def` | / (arg0 : Short) : Double
`def` | / (arg0 : Long) : Double
`def` | / (arg0 : Float) : Double
`def` | / (arg0 : Double) : Double
`def` | / (arg0 : Int) : Double
`def` | / (arg0 : Char) : Double
`def` | < (arg0 : Short) : Boolean
`def` | < (arg0 : Char) : Boolean
`def` | < (arg0 : Byte) : Boolean
`def` | < (arg0 : Int) : Boolean
`def` | < (arg0 : Float) : Boolean
`def` | < (arg0 : Double) : Boolean
`def` | < (arg0 : Long) : Boolean
`def` | <= (arg0 : Double) : Boolean
`def` | <= (arg0 : Int) : Boolean
`def` | <= (arg0 : Short) : Boolean
`def` | <= (arg0 : Float) : Boolean
`def` | <= (arg0 : Byte) : Boolean
`def` | <= (arg0 : Long) : Boolean
`def` | <= (arg0 : Char) : Boolean
`def` | == (arg0 : Int) : Boolean
`def` | == (arg0 : Char) : Boolean
`def` | == (arg0 : Long) : Boolean
`def` | == (arg0 : Double) : Boolean
`def` | == (arg0 : Float) : Boolean
`def` | == (arg0 : Byte) : Boolean
`def` | == (arg0 : Short) : Boolean
`def` | > (arg0 : Long) : Boolean
`def` | > (arg0 : Byte) : Boolean
`def` | > (arg0 : Short) : Boolean
`def` | > (arg0 : Double) : Boolean
`def` | > (arg0 : Char) : Boolean
`def` | > (arg0 : Int) : Boolean
`def` | > (arg0 : Float) : Boolean
`def` | >= (arg0 : Float) : Boolean
`def` | >= (arg0 : Int) : Boolean
`def` | >= (arg0 : Double) : Boolean
`def` | >= (arg0 : Long) : Boolean
`def` | >= (arg0 : Short) : Boolean
`def` | >= (arg0 : Byte) : Boolean
`def` | >= (arg0 : Char) : Boolean
`def` | toByte : Byte
`def` | toChar : Char
`def` | toDouble : Double
`def` | toFloat : Float
`def` | toInt : Int
`def` | toLong : Long
`def` | toShort : Short
`def` | unary_+ : Double
`def` | unary_- : Double

Methods inherited from Any
==, !=, equals, hashCode, toString, isInstanceOf, asInstanceOf

Method Details

`` `def` toByte : Byte

`` `def` toShort : Short

`` `def` toChar : Char

`` `def` toInt : Int

`` `def` toLong : Long

`` `def` toFloat : Float

`` `def` toDouble : Double

`` `def` +(arg0 : String) : String

`` `def` unary_+ : Double

`` `def` unary_- : Double

`` `def` ==(arg0 : Byte) : Boolean

`` `def` !=(arg0 : Byte) : Boolean

`` `def` <(arg0 : Byte) : Boolean

`` `def` <=(arg0 : Byte) : Boolean

`` `def` >(arg0 : Byte) : Boolean

`` `def` >=(arg0 : Byte) : Boolean

`` `def` +(arg0 : Byte) : Double

`` `def` -(arg0 : Byte) : Double

`` `def` *(arg0 : Byte) : Double

`` `def` /(arg0 : Byte) : Double

`` `def` %(arg0 : Byte) : Double

`` `def` ==(arg0 : Short) : Boolean

`` `def` !=(arg0 : Short) : Boolean

`` `def` <(arg0 : Short) : Boolean

`` `def` <=(arg0 : Short) : Boolean

`` `def` >(arg0 : Short) : Boolean

`` `def` >=(arg0 : Short) : Boolean

`` `def` +(arg0 : Short) : Double

`` `def` -(arg0 : Short) : Double

`` `def` *(arg0 : Short) : Double

`` `def` /(arg0 : Short) : Double

`` `def` %(arg0 : Short) : Double

`` `def` ==(arg0 : Char) : Boolean

`` `def` !=(arg0 : Char) : Boolean

`` `def` <(arg0 : Char) : Boolean

`` `def` <=(arg0 : Char) : Boolean

`` `def` >(arg0 : Char) : Boolean

`` `def` >=(arg0 : Char) : Boolean

`` `def` +(arg0 : Char) : Double

`` `def` -(arg0 : Char) : Double

`` `def` *(arg0 : Char) : Double

`` `def` /(arg0 : Char) : Double

`` `def` %(arg0 : Char) : Double

`` `def` ==(arg0 : Int) : Boolean

`` `def` !=(arg0 : Int) : Boolean

`` `def` <(arg0 : Int) : Boolean

`` `def` <=(arg0 : Int) : Boolean

`` `def` >(arg0 : Int) : Boolean

`` `def` >=(arg0 : Int) : Boolean

`` `def` +(arg0 : Int) : Double

`` `def` -(arg0 : Int) : Double

`` `def` *(arg0 : Int) : Double

`` `def` /(arg0 : Int) : Double

`` `def` %(arg0 : Int) : Double

`` `def` ==(arg0 : Long) : Boolean

`` `def` !=(arg0 : Long) : Boolean

`` `def` <(arg0 : Long) : Boolean

`` `def` <=(arg0 : Long) : Boolean

`` `def` >(arg0 : Long) : Boolean

`` `def` >=(arg0 : Long) : Boolean

`` `def` +(arg0 : Long) : Double

`` `def` -(arg0 : Long) : Double

`` `def` *(arg0 : Long) : Double

`` `def` /(arg0 : Long) : Double

`` `def` %(arg0 : Long) : Double

`` `def` ==(arg0 : Float) : Boolean

`` `def` !=(arg0 : Float) : Boolean

`` `def` <(arg0 : Float) : Boolean

`` `def` <=(arg0 : Float) : Boolean

`` `def` >(arg0 : Float) : Boolean

`` `def` >=(arg0 : Float) : Boolean

`` `def` +(arg0 : Float) : Double

`` `def` -(arg0 : Float) : Double

`` `def` *(arg0 : Float) : Double

`` `def` /(arg0 : Float) : Double

`` `def` %(arg0 : Float) : Double

`` `def` ==(arg0 : Double) : Boolean

`` `def` !=(arg0 : Double) : Boolean

`` `def` <(arg0 : Double) : Boolean

`` `def` <=(arg0 : Double) : Boolean

`` `def` >(arg0 : Double) : Boolean

`` `def` >=(arg0 : Double) : Boolean

`` `def` +(arg0 : Double) : Double

`` `def` -(arg0 : Double) : Double

`` `def` *(arg0 : Double) : Double

`` `def` /(arg0 : Double) : Double

`` `def` %(arg0 : Double) : Double